/*===========================================================================*/
/* DMC interim out |            get_header_path            |         utility */
/*===========================================================================*/
/*
	Name:		get_header_path
	Purpose:	recover base location for SEED headers from environment
	Usage:		char *get_header_path ();
				char *result;
				result = get_header_path ();
	Input:		none
	Output:		result = string w/ value of environment variable HEADER_PATH
	Externals:	none
	Messages:	none
	Warnings:	none
	Errors:		none
	Fatals:		environment variable not found; issue message, quit
	Called by:	anything
	Calls to:	error_handler - deal with error conditions
	Algorithm:	read the value of the environment variable HEADER_PATH
	Notes:		usually called from main routine
				"result" should generally be available globally
	Problems:	none known
	Debug:		not used
	References:	none
	Language:	C
	Revisions:	03/03/89  Dennis O'Neill  original version
*/

#include "output.h"

char *get_header_path ()
{
	char *charptr;								/* ptr to value of env vbl */
	char message[MSGLENGTH];					/* message buffer */

	if ((charptr = (char *) getenv ("HEADER_PATH")) != NULL)
	{
		if (Debug) fprintf (stderr,
			"[get_header_path] Base directory for SEED headers is %s.\n",
			charptr);
		return (charptr);
	}

	else
	{
		sprintf (message,
		"[get_header_path] Environment variable HEADER_PATH is not defined.");
		error_handler (FATAL, message);
		return (NULL);
	}
}
