
/*===========================================================================*/
/*                 |                                       |                 */
/*===========================================================================*/
/*
	Name:		
	Purpose:	
	Usage:		
	Input:		
	Output:		
	Externals:	
	Warnings:	
	Errors:		
	Fatals:
	Called by:	
	Calls to:	
	Algorithm:
				Loop through event data and add blockette lengths to
				logical record;
*/
	
#include "output.h"

extern struct blk71_list *Blk71_head;
extern struct blk71_list *Blk71_tail;

add_event_lrecs(start, end, padded_size)
struct	input_time	start, end;		/* start and end of a tspan */
int		*padded_size;				/* sum of padded blockette sizes */
{
	struct blk71_list *current_blk71;			/* current blk 71 pointer */
	struct blk72_list *current_blk72;			/* current blk 72 pointer */

	if( Debug >= D_MED )
		fprintf( D_OUT, "[add_event_lrecs] start\n");

	start = add_longtime(start, -3600);			/* subtract 1 hour from start */

	current_blk71 = Blk71_head;
	while (current_blk71 != NULL)
	{
		if ((cmp_longtime(current_blk71->origin_time, start) >= 0) &&
		    (cmp_longtime(current_blk71->origin_time, end) <= 0))
		{
			if( Debug >= D_MED )
				fprintf( D_OUT, "[add_event_lrecs] adding blockette 71 size = %d\n", current_blk71->blk_length);

			size_logrec( current_blk71->blk_length, Lrecl, padded_size );

			current_blk72 = current_blk71->blk72_list;
			while (current_blk72 != NULL)
			{
				if( Debug >= D_MED )
					fprintf( D_OUT, "[add_event_lrecs] adding blockette 72 size = %d\n", current_blk72->blk_length);

				size_logrec( current_blk72->blk_length, Lrecl, padded_size );
				current_blk72 = current_blk72->next;
			}
		}
		current_blk71 = current_blk71->next;
	}
}
