.\" @(#)pod.l 2.3 94/06/01 CL;
.\"===========================================================================*
.\" SEED maker    |                pod			  |      manual page |
.\"===========================================================================*
.\"                *=======================================*
.\"================|     Manual page header definition     |===================
.\"                *=======================================*
.TH POD 1 "1 June 1994"
.\"                *=======================================*
.\"================|     Command name and description      |===================
.\"                *=======================================*
.SH NAME

pod \- Create a FDSN SEED formated volume
.\"                *=======================================*
.\"================|           Command syntax              |===================
.\"                *=======================================*
.\" a short synopsis of the command line syntax 
.SH SYNTAX

.B pod  
.B "out_file req_file log_rec physical_rec v_span t_span"
.\"                *=======================================*
.\"================|           Command arguments           |===================
.\"                *=======================================*
.SH ARGUMENTS 
.TP
.B out_file
name of the resulting SEED volume.
.TP
.B req_file
file of desired time spans.
.TP
.B log_rec
The internal record size within the volume.
.TP
.B physical_rec
The size of each chunk of data to write.
.TP
.B v_span 
the length of the interval for this volume (yy,ddd,hh,mm.ss). 
.TP
.B t_span 
the span of time the data will be broken into within each volume. Used to 
specify at what interval blockette 70s will be generated.
.\"                *=======================================*
.\"================|          Environment variables        |===================
.\"                *=======================================*
.SH ENVIRONMENT VARIABLES 
.TP
.B HEADER_PATH
path name of the directory which contain the header files.
.TP
.B DATA_PATH
a list of data directories delimited by ":" that contain the waveforms.
.TP
.B CREATOR
name of organization which gets placed in the blockette 10 for SEED version
2.2 or greater
.TP
.B SEED_VERSION 
version number i.e: 2.0, 2.1, 2.3, etc. In 
.B pod
version 2.4 or higher, this usage is overwritten if there is
a file called SEED_VERSION placed in the header directory. This file then
contains a number for the version.
.TP
.B SEEDOUTPUTNODATA
when set, this variable will cause 
.B pod
to output header only seed volume, i.e. a Dataless SEED volume.
.\"                *=======================================*
.\"================|         Command description           |===================
.\"                *=======================================*
.SH DESCRIPTION

.B pod 
will generate a file in the format defined by the Federation of 
Digital Seismographic Networks (FDSN), popularly known as
the Standard for Exchange of Earthquake Data (SEED).
.B pod  
is extremely fussy about how and where it is run. All command line args are
mandatory, plus the environment variables: HEADER_PATH and DATA_PATH. You
need three things to run 
.B pod;
a request file, a header directory, and a data directory.

The request file is a user generated list of desired seismograms. Each 
record specifies a time interval from the station and channel on a 
particular day. Here is an example line from a request file:

ANMO    IU      LHE     1.0000E+00      C       001     1989,032
1989,033                0000000100      0000000100      00180   IU      E
ANMO.IU.LHE.89.032              HAR000                          BW      1989,032,10:34:22       1989,032,11:35:22

Refer to the 
.B pod
manual for a detailed description of each field. The format is hysterical in
nature, but the essential items are the first three fields, station, 
network, and channel, plus the last two which specify the time span, in this 
case being about one minute of data.

The header directory consists of ascii files with a hierarchy which looks
like this:
       HARxxx/     SEED control header directory.
                   xxx is conventionally 000-999.
                   H.A abbreviation header file.
       sssss/      station name directory, maximum field 
                   width of 6, 
                   B050 station blockette 50.
                   B051 station comments.
                   ccc/ channel directory -  
                         B052 channel blockettes 052..058, 
                              060 and 061.
                         B059 channel comments.

The data, or waveform, directory is subdivided into station directories 
which then hold the channel-day files which will satisfy the request.
The hierarchy looks like this:

  data_files/    a directory where all waveforms are kept.
             Sssss/  station name directory.
                   ssss.ii.ccc.yy.ddd  waveform file where: 	
                   ssss = station name
                        ii   = network
                           ccc  = channel 
                               yy   = year
                                  ddd  = day of year


.\"                *=======================================*
.\"================|              Diagnostics              |===================
.\"                *=======================================*
.SH DIAGNOSTICS
Various warnings and error messages are issued to the standard error device 
by each procedure.
Typical response of the procedure to a warning condition is to write a message
to the standard error device and then to continue execution. 
An error condition, on the other hand, will cause a message to be generated
to the standard error device followed by immediate termination of the procedure.
.\"                *=======================================*
.\"================|Other relevant commands, files, manuals|===================
.\"                *=======================================*
.SH SEE ALSO
Halbert, S. E., R. Buland, and C. R. Hutt (1988).  Standard for
the Exchange of Earthquake Data (SEED), Version V2.0,
February 25, 1988.  United States Geological Survey,
Albuquerque Seismological Laboratory, Building 10002, Kirtland Air Force
Base East, Albuquerque, New Mexico 87115.  82 pp.

O'Neill, D. (1987).  IRIS Interim Data Distribution Format
(SAC ASCII), Version 1.0 (12 November 1987).  Incorporated
Research Institutions for Seismology, 1616 North Fort Myer
Drive, Suite 1440, Arlington, Virginia 22209.  11 pp.

Tull, J. (1987).  SAC User's Manual, Version 10.2, October 7,
1987.  Lawrence Livermore National Laboratory, L-205,
Livermore, California 94550.  ??? pp.
.\"                *=======================================*
.\"================|    Known problems with the command    |===================
.\"                *=======================================*
.SH BUGS
Address bug reports to Chris Laughbon at IRIS DMC, 206-547-0393,
or send ARPAnet mail to chris@iris.washington.edu .  
Please DO NOT "fix bugs" locally without telling the author about them.
.B
Please DO NOT redistribute this program.
Address requests for the program to IRIS at the numbers given above.
.\"                *=======================================*
.\"================|             Author's name             |===================
.\"                *=======================================*
.SH AUTHOR
Mark Wiederspahn; IRIS

