/*===========================================================================*/
/* DMC interim out |          usage.c                      |  Main           */
/*===========================================================================*/
/*
	Name:		usage.c
	Purpose:	print usage instructions on user terminal
	Usage:		(void) usage()
	Input:		none
	Output:		none
	Externals:	
	Warnings:	
	Errors:		
	Fatals:
	Called by:	
	Calls to:	
	Algorithm:	
	Notes:		
	Problems:	
	References:	
	Language:	
	Author:		02/??/89  mark wiederspahn
	Revisions:	mm/dd/yy  pgmr name  change
			27oct89	mw	remind user that eofs included
					after each volume

*/
#include "date.h"

extern char *Version;

void usage()
{
	printf("\npod version %4s. (%s) writes SEED v2.x\n", Version, V_DATE );

	printf("\nUsage:\n\n" );

	printf("pod out_file req_file lrecl precl volume tspan\n" );
	printf("	out_file:	SEED output device or file name\n" );
	printf("	req_file:	lower part of original user request file\n" );
	printf("	lrecl:		number of bytes/logical record: use 4096\n" );
	printf("	precl:		number of bytes/physical record: use 32768\n" );
	printf("	volume:		SEED delta time of each logical volume change\n" );
	printf("	tspan:		SEED delta time of each timespan change\n" );
	printf("\n	      		SEED times: yyyy,ddd,hh:mm:ss.ffff \n" );
	printf("				fields with zero value may be ommitted from\n");
	printf("				the right: eg: 1 year = 1, 1 day = 0,1\n" );
	printf("\nEach volume is terminated by an eof if output to tape.\n" );
	printf("Use the non-rewind device (eg /dev/nrmt0) as the out_file;\n");
	printf("use mt weof 3 for the SEED required 3 eofs at the end.\n" );
	printf("\nNote: if out_file exists, it will be appended to. This\n");
	printf("may not be what you intend, and Rdseed v1.0 can't read it.\n");
	printf("\nEnvironment:\n");
	printf("\tHEADER_PATH dir/HDR000\twhere to find headers\n");
	printf("\tDATA_PATH dir:dir:dir\tlist of dirs to find data\n");
	printf("\tDEBUG n\t\t\tn=0,1,2,3 levels of debug printout\n");
	printf("\tSEED_VERSION\t\tseed version to output (2.0,2.1,2.2,2.3)\n");
	printf("\tCREATOR\t\t\tname of your organization\n");
	printf("\tSEEDOUTPUTNODATA\tset to anything for DATALESS SEED volume\n");
	printf("\tSEED_LABEL\t\tset to name for your seed volume\n");
	printf("\tPODJUSTDOIT\t\tset to anything for pod to assemble everything in DATA_PATH\n");
	printf("\tSEEDTOLERANCE\t\tset to number of seconds of separation btw data record timings\n");


	printf( "\n" );

}
