
VERSEED(2.10)     Misc. Reference Manual Pages      VERSEED(2.10)

NAME
     verseed - Verify a FDSN SEED format volume

SYNOPSIS
     verseed -{1 | 2  | 3 | 4 | r | a | m} [filename]

OPTIONS
     The following options may be selected:

     -1..4
          Set the verify  reporting  level.  Each  higher  number
          yields successively more detailed error information.

     -r    Relax the verify reporting level.  With  the  -r  flag
          verseed will not report on some minor discrepancies.

     -a    Use the next argument as the file name of an alternate
          response file.

     -m    Tells verseed that the input file is a microseed file.
          This  implies  that the alt response file mode is used.
          See example below.

     verseed reads from the input tape (or other  input  file  or
     stdin)  in  the  format defined by the Federation of Digital
     Seismographic Networks (FDSN), popularly known as the  Stan-
     dard  for  Exchange of Earthquake Data (SEED).  According to
     the command line function  option  specified  by  the  user,
     verseed will read the volume and verify its contents.

     The source code is written in such a way that it  will  run,
     with  recompilation,  on  both  big-endian  (e.g.,  Sun) and
     little-endian machines (e.g., VAX) under UNIX.  This program
     has not yet been tested under VAX VMS.


DIAGNOSTICS
     Various warnings and error messages are issued to the  stan-
     dard  error  device by the program.  Typical response of the
     program to a warning or error condition is to write  a  mes-
     sage  to the standard error device and then to continue exe-
     cution.

EXAMPLES
     1.  Verify the volume from a tape.
          verseed /dev/rmt8 > verify.messages &

     verifies the volume from the tape on device  /dev/rmt8  with
     the  messages  going into a file called verify.messages; the
     job is run in the background (command line example).  Output
     directed  to  "stderr", such as error messages, comes to the
     terminal.


     2. reading volume from stdin
          verseed < seed.vol &


     3.  Verify a volume with command line file name and  options
     set.
          verseed seed.data -1 &

     reads a volume on disk and writes a more  detailed  list  of
     the  errors  to  the  terminal.  The job is run in the back-
     ground.

     4. Verify a seed volume using an alternate response file.

     verseed -a alt_response_file < seed_volume


     reads a seed volume but using the  station/channel  response
     info as found in the alt_response_file.

     5. Flag the seed volume as a microseed volume.


     verseed -a alt_response_file -m < micro_seed_volume


     reads  "standard  in"  as  a  micro  seed  file,  using  the
     responses found in the file specified in the -a option.


FILES
     seismogram files as described above

SEE ALSO
     Halbert, S. E., R. Buland, and C. R. Hutt (1988).   Standard
     for  the  Exchange  of Earthquake Data (SEED), Version V2.0,
     February 25, 1988.  United States Geological  Survey,  Albu-
     querque  Seismological  Laboratory, Building 10002, Kirtland
     Air Force Base East, Albuquerque, New Mexico 87115.  82 pp.

     O'Neill, D. (1987).  IRIS Interim Data  Distribution  Format
     (SAC  ASCII),  Version 1.0 (12 November 1987).  Incorporated
     Research Institutions for Seismology, 1616 North  Fort  Myer
     Drive, Suite 1440, Arlington, Virginia 22209.  11 pp.

     Tull, J. (1987).  SAC User's Manual, Version  10.2,  October
     7,  1987.   Lawrence  Livermore  National Laboratory, L-205,
     Livermore, California 94550.  ??? pp.

     Address bug reports to Chris Laughbon at IRIS DMC,  206-547-
     0393,  or  send  ARPAnet mail to chris@iris.washington.edu .
     Please DO NOT "fix bugs" locally without telling IRIS  about
     them.   Please  DO  NOT  redistribute this program.  Address
     requests for the program to IRIS at the numbers given above.

AUTHOR
     Dennis O'Neill; Allen Nance, IRIS
